package com.hzya.frame.seeyon.entity;

/**
 * @Description 保存交行日志用
 * @Author xiangerlin
 * @Date 2024/3/18 14:07
 **/
public class CfsLogEntity {

    private String tab_name_ch;//中文表名
    private String tab_name_en;//英文表名
    private OAWorkflowEventDataEntity oaWorkflowEventDataEntity;//无流程表单数据

    private String result;//交通银行返回的参数（解析后的）
    public CfsLogEntity() {

    }

    /**
     *
     * @param tab_name_ch 中文表名
     * @param tab_name_en 英文表名
     * @param oaWorkflowEventDataEntity 无流程表单数据
     */
    public CfsLogEntity(String tab_name_ch, String tab_name_en,  OAWorkflowEventDataEntity oaWorkflowEventDataEntity,String result) {
        this.tab_name_ch = tab_name_ch;
        this.tab_name_en = tab_name_en;
        this.oaWorkflowEventDataEntity = oaWorkflowEventDataEntity;
        this.result=result;
    }

    public String getTab_name_ch() {
        return tab_name_ch;
    }

    public void setTab_name_ch(String tab_name_ch) {
        this.tab_name_ch = tab_name_ch;
    }

    public String getTab_name_en() {
        return tab_name_en;
    }

    public void setTab_name_en(String tab_name_en) {
        this.tab_name_en = tab_name_en;
    }



    public OAWorkflowEventDataEntity getOaWorkflowEventDataEntity() {
        return oaWorkflowEventDataEntity;
    }

    public void setOaWorkflowEventDataEntity(OAWorkflowEventDataEntity oaWorkflowEventDataEntity) {
        this.oaWorkflowEventDataEntity = oaWorkflowEventDataEntity;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }
}
